---

vaultwarden_docker_repository: vaultwarden/server
vaultwarden_docker_tag: 1.29.1

# vaultwarden_domain: ""

vaultwarden_default_reverse_proxy:
  enable: true
  router:
    rule: "Host(`{{ vaultwarden_domain }}`)"
    middlewares: default-without-error-pages@file
  service:
    port: "{{ vaultwarden_port | default(80) }}"  # default port for vaultwarden

vaultwarden_reverse_proxy: {}
vaultwarden_reverse_proxy_computed: "{{ vaultwarden_default_reverse_proxy | combine(vaultwarden_reverse_proxy, recursive=True) }}"

# vaultwarden_postgresql_host: ""
# vaultwarden_postgresql_user: ""
# vaultwarden_postgresql_database: ""
# vaultwarden_postgresql_password: ""

# if true, will allow access to admin page without token
vaultwarden_disable_admin_token: "false"

# empty or undefined token will disable the admin page unless vaultwarden_disable_admin_token is true
# vaultwarden_admin_token: ""

vaultwarden_signups_allowed: "false"
vaultwarden_show_password_hint: "true"
vaultwarden_websocket_enabled: "false"
vaultwarden_sends_allowed: "true"
vaultwarden_emergency_access_allowed: "false"
vaultwarden_org_creation_users: []
vaultwarden_invitations_allowed: "false"
vaultwarden_rocket_workers: 4

vaultwarden_default_environment:
  ADMIN_TOKEN: "{{ vaultwarden_disable_admin_token | bool | ternary(omit, vaultwarden_admin_token | default(omit), omit) }}"
  DATABASE_URL: "postgresql://{{ vaultwarden_postgresql_user }}:{{ vaultwarden_postgresql_password }}@{{ vaultwarden_postgresql_host }}/{{ vaultwarden_postgresql_database }}"
  DISABLE_ADMIN_TOKEN: "{{ vaultwarden_disable_admin_token }}"
  DOMAIN: "https://{{ vaultwarden_domain }}"
  EMERGENCY_ACCESS_ALLOWED: "{{ vaultwarden_emergency_access_allowed }}"
  INVITATIONS_ALLOWED: "{{ vaultwarden_invitations_allowed }}"
  ORG_CREATION_USERS: "{{ vaultwarden_org_creation_users | join(',') or omit }}"
  ROCKET_PORT: "{{ vaultwarden_port | default(omit) }}"
  ROCKET_WORKERS: "{{ vaultwarden_rocket_workers }}"
  SENDS_ALLOWED: "{{ vaultwarden_sends_allowed }}"
  SHOW_PASSWORD_HINT: "{{ vaultwarden_show_password_hint }}"
  SIGNUPS_ALLOWED: "{{ vaultwarden_signups_allowed }}"
  WEBSOCKET_ENABLED: "{{ vaultwarden_websocket_enabled }}"
  WEBSOCKET_PORT: "{{ vaultwarden_websocket_enabled | bool | ternary(vaultwarden_websocket_port, omit, omit) }}"

vaultwarden_environment: {}
vaultwarden_environment_computed: "{{ vaultwarden_default_environment | combine(vaultwarden_environment) | dict2items | rejectattr('value', 'equalto', omit) | items2dict }}"
